Блог пользователя noomaK

Автор noomaK, история, 3 года назад, По-английски

454092A - Maximum Product

Idea: I_Love_noomaK, prepared: noomaK

Tutorial
Solution
Rate the problem

454092B - MST

Idea: noomaK, prepared: noomaK

Tutorial
Solution
Rate the problem

454092C - Maximum MEX

Idea: noomaK, prepared: noomaK

Tutorial
Solution
Rate the problem

454092D - Hamza's revenge

Idea: I_Love_noomaK, prepared: noomaK and I_Love_noomaK

Tutorial
Solution
Rate the problem

454092E - A Lot of Balls

Idea: noomaK, prepared: noomaK

Tutorial
Solution
Solution
Rate the problem

454092F - Monther the Frog

Idea: noomaK, prepared: noomaK

Tutorial
Solution
Fun fact?
Rate the problem

454092G1 - Onsite Questions (Easy Version)

Idea: noomaK, prepared: noomaK and yazan_istatiyeh

Tutorial
Solution
Rate the problem

454092G2 - Onsite Questions (Hard Version)

Idea: noomaK, prepared: noomaK and yazan_istatiyeh

Tutorial
Solution
Rate the problem
  • Проголосовать: нравится
  • +4
  • Проголосовать: не нравится

»
3 года назад, скрыть # |
 
Проголосовать: нравится +12 Проголосовать: не нравится

Nice problem F :)

»
3 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

what is error in my solution to G1 using binary search?

code
»
3 года назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

There are no words to describe how much G2 is an amazing problem and how much I admire it. Learned a lot of things today! Thank you very much for this contest.

»
3 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +6 Проголосовать: не нравится

Quick tutorial of G1 : To solve G1 you have to precalculate distances between any two nodes. Then you can binary search on the annoyance. To check if you can achieve the annoyance you can do a simple dynamic programming with three states , idx of the query , node where ahmad stands , node where monther stands. The transitions are based on the annoyance value; you can transition only if moving from node to another node is less than the annoyance value.

»
3 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Is there any group of JPC Rounds? Where I can find the all contests of JPC.

»
3 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

can anyone explain me g1?

»
3 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

As after excellent first round, i am eagerly waiting for second round, but i unfortunately missed that.:(

But I have up solved these questions and found this contest above expectation.

Hoping for more such rounds,:)

Orz...

Some Reviews:

A — Nice but standard(but it's A, want else we expect)

B — Same review as A

C — Very Good, nice and unique logic and easy to implement

D — Nice bits question, very unique

E — Standard 2 pointer but idea of magnets is nice

F — Very good time complexity observation problem, firstly I am thinking in very deep, but then I observed time complexity.

G1 — Excellent DP question

G2 — Very good DP optimization of time complexity and space complexity(Although space optimization is pretty standard but time optimization is very unique and hard to observe)

That's all from me...Have a great community, and keep providing such questions:)

»
3 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

any hints in G2 nice Contest Btw